curl --location --request GET 'https://api.stateset.com/v1/channelthread' \
--header 'Content-Type: application/json' \
--header 'Authorization: Token <token>' \
--data-raw '{
"id": "rt_1NXWPnCo6bFb1KQto6C8OWvE",
}'
query MyChannelThread {
channel_thread {
id
created_at
name
system_prompt
user_id
messages {
id
body
channel_id
chat_id
created_at
date
deliveredReceipt
from
fromMe
likes
messageNumber
points
sentReceipt
timestamp
to
}
}
}
const channel_threads = await stateset.channel_threads.retrieve({
'ct_1NXWPnCo6bFb1KQto6C8OWvE'
});
channel_threads = stateset.channel_threads.retrieve({
'ct_1NXWPnCo6bFb1KQto6C8OWvE'
})
channel_threads, err := stateset.Messages.Retrieve(
'ct_1NXWPnCo6bFb1KQto6C8OWvE'
)
channel_threads = Stateset::Messages.retrieve(
'ct_1NXWPnCo6bFb1KQto6C8OWvE'
)
ChannelThread channel_threads = Stateset.ChannelThreads.retrieve(
'ct_1NXWPnCo6bFb1KQto6C8OWvE'
);
ChannelThread channel_threads = Stateset.ChannelThreads.Retrieve(
'ct_1NXWPnCo6bFb1KQto6C8OWvE'
);
$channel_threads = Stateset\ChannelThreads::retrieve(
'ct_1NXWPnCo6bFb1KQto6C8OWvE'
);
GET /v1/channel_threads HTTP/1.1
Host: api.stateset.com
Content-Type: application/json
{
"data": {
"message": {
"id": "rt_1NXWPnCo6bFb1KQto6C8OWvE",
"body": "Hello World",
"created_at": "2021-01-01T00:00:00.000000Z",
"date": "2021-01-01",
"deliveredReceipt": true,
"from": "user1",
"fromMe": true,
"is_public": true,
"messageNumber": 1,
"sentReceipt": true,
"time": "00:00:00",
"timestamp": "2021-01-01T00:00:00.000000Z",
"to": "user2",
"user_id": "rt_1NXWPnCo6bFb1KQto6C8OWvE",
"username": "user1"
}
}
}
Get Channel Threads
This endpoint gets a channel threads.
GET
/
v1
/
channel_threads
curl --location --request GET 'https://api.stateset.com/v1/channelthread' \
--header 'Content-Type: application/json' \
--header 'Authorization: Token <token>' \
--data-raw '{
"id": "rt_1NXWPnCo6bFb1KQto6C8OWvE",
}'
query MyChannelThread {
channel_thread {
id
created_at
name
system_prompt
user_id
messages {
id
body
channel_id
chat_id
created_at
date
deliveredReceipt
from
fromMe
likes
messageNumber
points
sentReceipt
timestamp
to
}
}
}
const channel_threads = await stateset.channel_threads.retrieve({
'ct_1NXWPnCo6bFb1KQto6C8OWvE'
});
channel_threads = stateset.channel_threads.retrieve({
'ct_1NXWPnCo6bFb1KQto6C8OWvE'
})
channel_threads, err := stateset.Messages.Retrieve(
'ct_1NXWPnCo6bFb1KQto6C8OWvE'
)
channel_threads = Stateset::Messages.retrieve(
'ct_1NXWPnCo6bFb1KQto6C8OWvE'
)
ChannelThread channel_threads = Stateset.ChannelThreads.retrieve(
'ct_1NXWPnCo6bFb1KQto6C8OWvE'
);
ChannelThread channel_threads = Stateset.ChannelThreads.Retrieve(
'ct_1NXWPnCo6bFb1KQto6C8OWvE'
);
$channel_threads = Stateset\ChannelThreads::retrieve(
'ct_1NXWPnCo6bFb1KQto6C8OWvE'
);
GET /v1/channel_threads HTTP/1.1
Host: api.stateset.com
Content-Type: application/json
{
"data": {
"message": {
"id": "rt_1NXWPnCo6bFb1KQto6C8OWvE",
"body": "Hello World",
"created_at": "2021-01-01T00:00:00.000000Z",
"date": "2021-01-01",
"deliveredReceipt": true,
"from": "user1",
"fromMe": true,
"is_public": true,
"messageNumber": 1,
"sentReceipt": true,
"time": "00:00:00",
"timestamp": "2021-01-01T00:00:00.000000Z",
"to": "user2",
"user_id": "rt_1NXWPnCo6bFb1KQto6C8OWvE",
"username": "user1"
}
}
}
Body
This is the id of the channel thread.
Response
This is the id of the channel_thread
This is the name of the channel_thread
This is the uuid of the channel_thread
This is the user_id of the channel_thread
curl --location --request GET 'https://api.stateset.com/v1/channelthread' \
--header 'Content-Type: application/json' \
--header 'Authorization: Token <token>' \
--data-raw '{
"id": "rt_1NXWPnCo6bFb1KQto6C8OWvE",
}'
query MyChannelThread {
channel_thread {
id
created_at
name
system_prompt
user_id
messages {
id
body
channel_id
chat_id
created_at
date
deliveredReceipt
from
fromMe
likes
messageNumber
points
sentReceipt
timestamp
to
}
}
}
const channel_threads = await stateset.channel_threads.retrieve({
'ct_1NXWPnCo6bFb1KQto6C8OWvE'
});
channel_threads = stateset.channel_threads.retrieve({
'ct_1NXWPnCo6bFb1KQto6C8OWvE'
})
channel_threads, err := stateset.Messages.Retrieve(
'ct_1NXWPnCo6bFb1KQto6C8OWvE'
)
channel_threads = Stateset::Messages.retrieve(
'ct_1NXWPnCo6bFb1KQto6C8OWvE'
)
ChannelThread channel_threads = Stateset.ChannelThreads.retrieve(
'ct_1NXWPnCo6bFb1KQto6C8OWvE'
);
ChannelThread channel_threads = Stateset.ChannelThreads.Retrieve(
'ct_1NXWPnCo6bFb1KQto6C8OWvE'
);
$channel_threads = Stateset\ChannelThreads::retrieve(
'ct_1NXWPnCo6bFb1KQto6C8OWvE'
);
GET /v1/channel_threads HTTP/1.1
Host: api.stateset.com
Content-Type: application/json
{
"data": {
"message": {
"id": "rt_1NXWPnCo6bFb1KQto6C8OWvE",
"body": "Hello World",
"created_at": "2021-01-01T00:00:00.000000Z",
"date": "2021-01-01",
"deliveredReceipt": true,
"from": "user1",
"fromMe": true,
"is_public": true,
"messageNumber": 1,
"sentReceipt": true,
"time": "00:00:00",
"timestamp": "2021-01-01T00:00:00.000000Z",
"to": "user2",
"user_id": "rt_1NXWPnCo6bFb1KQto6C8OWvE",
"username": "user1"
}
}
}
⌘I